Pocket

List recordings

Get paginated list of recordings with optional filtering. Note: All dates are interpreted as UTC.

GET
/public/recordings

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer pk_xxx as the authorization header value.

In: header

Query Parameters

start_date?string

Filter from date (YYYY-MM-DD, interpreted as UTC midnight)

end_date?string

Filter until date (YYYY-MM-DD, interpreted as UTC 23:59:59)

tag_ids?string

Comma-separated tag IDs

page?integer

Page number

Default1
limit?integer

Items per page

Default20
Rangevalue <= 100

Response Body

application/json

application/json

application/json

curl -X GET "https://public.heypocketai.com/api/v1/public/recordings"
{
  "data": [
    {
      "created_at": "string",
      "duration": 0,
      "folder_id": "string",
      "id": "string",
      "language": "string",
      "recorded_by": {
        "display_name": "string",
        "email": "string",
        "user_id": "string"
      },
      "recording_at": "string",
      "state": "string",
      "summarizations": null,
      "summarizations_errors": [
        "string"
      ],
      "tags": [
        {
          "color": "string",
          "id": "string",
          "name": "string"
        }
      ],
      "title": "string",
      "transcript": null,
      "transcript_error": "string",
      "translation": {
        "created_at": "string",
        "detected_language": "string",
        "error_message": "string",
        "id": "string",
        "processing_status": "string",
        "to_language": "string",
        "updated_at": "string"
      },
      "translation_error": "string",
      "updated_at": "string"
    }
  ],
  "pagination": {
    "has_more": true,
    "limit": 0,
    "page": 0,
    "total": 0,
    "total_pages": 0
  },
  "success": true
}
{
  "data": null,
  "error": "string",
  "pagination": {
    "has_more": true,
    "limit": 0,
    "page": 0,
    "total": 0,
    "total_pages": 0
  },
  "success": true
}
{
  "data": null,
  "error": "string",
  "pagination": {
    "has_more": true,
    "limit": 0,
    "page": 0,
    "total": 0,
    "total_pages": 0
  },
  "success": true
}